#!/bin/sh

progname=niimaqdx_configurenic
progpath=/usr/bin/$progname

# init.d script from National Instruments
test -x "$progpath" || exit 0

startdaemon(){
    echo -n "Starting $progname: "
    start-stop-daemon --start --background --chuid root -x $progpath
    test $? -eq 1 || echo "done"
}
stopdaemon(){
    echo -n "Stopping $progname: "
    start-stop-daemon --stop --quiet --chuid root -x $progpath
    echo "done"
}

case "$1" in
  start)
    startdaemon
    ;;
  stop)
    stopdaemon
    ;;
  force-reload|restart|reload)
    stopdaemon
    startdaemon
    ;;
  *)
    echo "Usage: $progname {start|stop|restart|reload|force-reload}" >&2
    exit 1
    ;;
esac

exit 0
